Groovy Documentation

## org.codehaus.groovy.syntax
[Java] Class TokenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException

    public class TokenException
    extends SyntaxException

Constructor Summary
`TokenException(java.lang.String message, Token token)`
`TokenException(java.lang.String message, java.lang.Throwable cause, int line, int column)`

Method Summary
`int` | `getEndColumn()`

Methods inherited from class SyntaxException
getEndColumn, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class java.lang.Exception

java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Constructor Detail

### TokenException

    public TokenException(java.lang.String message, Token token)

### TokenException

    public TokenException(java.lang.String message, java.lang.Throwable cause, int line, int column)

Method Detail

### getEndColumn

    public int getEndColumn()

Groovy Documentation